6.0.0-git
2021-01-19

[#1324] Horde Display Options list all apps for "What application should Horde display after login?"
Summary Horde Display Options list all apps for "What application should Horde display after login?"
Queue Horde Base
Queue Version HEAD
Type Bug
State Resolved
Priority 2. Medium
Owners Horde Developers (at)
Requester allen.zhao (at) camilion (dot) com
Created 2005-02-07 (5825 days ago)
Due
Updated 2005-02-09 (5823 days ago)
Assigned 2005-02-08 (5824 days ago)
Resolved 2005-02-09 (5823 days ago)
Milestone
Patch No

History
2005-02-09 03:47:01 Chuck Hagenbuch Comment #2
State ⇒ Resolved
Reply to this comment
Done in a slightly different way in HEAD and 3.0.3.
2005-02-08 08:54:53 Jan Schneider Queue ⇒ Horde Base
Priority ⇒ 2. Medium
Version ⇒ HEAD
 
2005-02-08 08:54:01 Jan Schneider State ⇒ Assigned
Assigned to Horde DevelopersHorde Developers
 
2005-02-07 19:34:56 allen (dot) zhao (at) camilion (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Horde Display Options list all apps for "What application should Horde display after login?"
Queue ⇒ Horde Framework Packages
Reply to this comment
It should list only the installed apps, whatever we set the apa status 
to active or inactive in registry.



Changes:



in lib/prefs.php (rev 1.19) add:

114,117d113

<             // Make sure the app is installed

<             if (!file_exists($registry->get('fileroot', $a))) {

<                 continue;

<             }



After:

     $initial_application_options = array();

     $apps = $registry->listApps(array('active'));

     foreach ($apps as $a) {

         if (($perms->exists($a) && ($perms->hasPermission($a, 
Auth::getAuth(), PERMS_READ) || Auth::isAdmin())) ||

             !$perms->exists($a)) {


Saved Queries